notify.c File Reference
`#include "config.h"`
`#include "adapter/addns.h"`
`#include "daemon/xfrhandler.h"`
`#include "signer/domain.h"`
`#include "signer/zone.h"`
`#include "wire/notify.h"`
`#include "wire/xfrd.h"`
`#include <sys/socket.h>`

Go to the source code of this file.

## Functions

notify_type * | notify_create (xfrhandler_type *xfrhandler, zone_type *zone)
void | notify_send (notify_type *notify)
void | notify_enable (notify_type *notify, ldns_rr *soa)
void | notify_cleanup (notify_type *notify)

## Function Documentation

## notify_cleanup()

void notify_cleanup | ( | notify_type * | notify | ) |

Cleanup notify structure.

Definition at line 600 of file notify.c.

References netio_handler_struct::fd, notify_struct::handler, notify_struct::soa, notify_struct::tsig_rr, and tsig_rr_cleanup().

Referenced by notify_create(), and zone_cleanup().

## notify_create()

notify_type * notify_create | ( | xfrhandler_type * | xfrhandler,
|  | zone_type * | zone )

Create notify structure.

Definition at line 100 of file notify.c.

References netio_handler_struct::event_handler, netio_handler_struct::event_types, netio_handler_struct::fd, notify_struct::handler, notify_struct::is_waiting, NETIO_EVENT_READ, NETIO_EVENT_TIMEOUT, notify_cleanup(), notify_struct::query_id, notify_struct::retry, notify_struct::secondary, notify_struct::soa, netio_handler_struct::timeout, notify_struct::timeout, notify_struct::tsig_rr, tsig_rr_create(), netio_handler_struct::user_data, notify_struct::waiting_next, notify_struct::xfrhandler, and notify_struct::zone.

## notify_enable()

void notify_enable | ( | notify_type * | notify,
|  | ldns_rr * | soa )

Enable notify.

Definition at line 544 of file notify.c.

References ADAPTER_DNS, zone_struct::adoutbound, adapter_struct::config, dnsout_struct::do_notify, netio_handler_struct::fd, notify_struct::handler, notify_struct::is_waiting, zone_struct::name, NOTIFY_MAX_UDP, xfrhandler_struct::notify_udp_num, xfrhandler_struct::notify_waiting_first, xfrhandler_struct::notify_waiting_last, notify_struct::secondary, netio_handler_struct::timeout, adapter_struct::type, notify_struct::waiting_next, notify_struct::xfrhandler, and notify_struct::zone.

## notify_send()

void notify_send | ( | notify_type * | notify | ) |

Send notify.

Definition at line 422 of file notify.c.

References acl_struct::address, zone_struct::apex, buffer_flip(), buffer_pkt_id(), buffer_pkt_notify(), buffer_pkt_set_aa(), buffer_pkt_set_ancount(), buffer_write_rr(), netio_handler_struct::fd, notify_struct::handler, zone_struct::name, NOTIFY_RETRY_TIMEOUT, xfrhandler_struct::packet, notify_struct::query_id, notify_struct::retry, notify_struct::secondary, notify_struct::soa, notify_struct::timeout, acl_struct::tsig, notify_struct::xfrhandler, and notify_struct::zone.